<!--
/********************************************/
/*	   HEADERBANNER ADVERTISING IMPROVED	*/
/*											*/
/*			15.06.2010 13:11:41				*/
/*											*/
/*		Based on Saibal's original code		*/
/********************************************/

/****************************/
/*		CONFIGURATION		*/
/****************************/
// set some parameters. you can also set these before calling 'overlayer_build' function
var hb_defaults = {
	// path (no final slash)
	hb_pagesdir		: '.',
	hb_cssurl		: './css',
	hb_imgdir		: './img',
	// main parameters
	hb_closetime	: '30 sec',
	hb_cookielife	: '20 min',
	hb_advpage		: 'headerbanner.htm',
	hb_advwidth		: '99.9%',
	hb_advheight	: '60px',
	hb_id			: 'hb',
	// secondary parameters
	hb_fadefx		: 'y',
	hb_speedfx		: 'fast',
	hb_showborder	: 'y',
	hb_closebutton	: 'y',
	hb_maindomain	: 'n',
	hb_alignment	: 'c',
	hb_mbottom		: '0',
	hb_imgname		: 'hb_close.png',
	hb_maxscreen_w	: '800' // no px
};
// set array to hide (visibility=hidden) some elements which may contain flash stuff
hb_hide_elem = new Array();
// set array to hide (display=none) some elements which may contain flash stuff
hb_none_elem = new Array();
// set main domain if you have some subdomains in the same site
hb_site_cookname = new Array();
/****************************/
/*		END CONFIGURATION	*/
/****************************/

(function($) {

	$.fn.headerbanner = function(customoptions) {

		var opt = $.extend(hb_defaults, customoptions);

		// html id elements - be careful when editing
		var hb_id_wrapper		= 'hb_id_wrapper';
		var hb_id_container		= 'hb_container';
		var hb_id_close			= 'hb_close';
		var hb_id_iframe		= 'hb_iframe';
		var hb_id_cookietest	= 'adv_testcookie';
		var hb_id_css 			= 'hb_style';
		var hb_name_css 		= 'hb_style.css';

		// check if client accept cookies. if no stop function
		$.cookie(hb_id_cookietest,'cookie-test', { path: '/' });

		if (!$.cookie(hb_id_cookietest)) {
			return false;
		}

		// convert time based on inserted extension
		var hb_closetime 	= convert_time(opt.hb_closetime);
		var hb_cookielife 	= convert_time(opt.hb_cookielife);
		var hb_cookiename	= window.location.hostname + '_' + opt.hb_id;
		var hb_cookiedomain	= '';
		var cookie_expires 	= new Date();
		cookie_expires.setTime(cookie_expires.getTime() + (hb_cookielife));

		// define head and body elements
		elem_head = document.getElementsByTagName('head')[0];
		elem_body = document.getElementsByTagName('body')[0];

		// disable script for screen width less than 1000 pixel
		if ($(window).width() <= opt.hb_maxscreen_w) {
			return false;
		}

		// set same cookie if ol_maindomain is yes
		if (opt.hb_maindomain == 'y') {

			jQuery.each(hb_site_cookname, function(i,val) {

				if (window.location.hostname.indexOf(hb_site_cookname[i]) != -1) {

					hb_cookiedomain	= hb_site_cookname[i];
				}
			});
		}

		if( elem_head != null && elem_body != null ) {

			// if there is no cookie continue
			if (!$.cookie(hb_cookiename)) {

				var hb_code = '';
				hb_code += '<div id="' + hb_id_container + '" ';
				hb_code += 'style="width:' + opt.hb_advwidth + ';height:' + opt.hb_advheight + ';">\n';
				hb_code += '<iframe allowTransparency="true" id="' + hb_id_iframe + '" ';
				hb_code += 'style="width:' + opt.hb_advwidth + ';height:' + opt.hb_advheight + ';" ';
				hb_code += 'src="' + opt.hb_pagesdir + '/' + opt.hb_advpage + '" frameborder="0" scrolling="no"></iframe>\n';
				hb_code += '<div id="' + hb_id_close + '">\n';
				hb_code += '<a href="javascript:void(0);" onclick="headbanner_close();return(false)">';
				hb_code += '<img src="' + opt.hb_imgdir + '/' + opt.hb_imgname + '" alt="Chiudi"></a></div>\n';
				hb_code += '</div>';

				// build main container of adv and insert it at the end
				headbanner_elem = $(document.createElement('div'))
			   .attr({
						id: hb_id_wrapper
				})
				.css({
						display	: 'none'
				}).insertBefore(elem_body.firstChild);

				// insert code in the element
				$(headbanner_elem).html(hb_code);

				// print dedicated css
				if ($('#'+ hb_id_css).length == 0) {

					var cssNode = $(document.createElement('link'))
					.attr({
							id		: hb_id_css,
							type	: 'text/css',
							rel		: 'stylesheet',
							media	: 'screen',
							href	: opt.hb_cssurl + '/' + hb_name_css
					}).appendTo(elem_head);
				}

				// if css are enabled
				if ($('#' + hb_id_css).length == 1 && $('#' + hb_id_css).attr('disabled') != true) {

					// hide some page elements
					visibility_element(hb_hide_elem,'hidden');
					display_element(hb_none_elem,'none');

					// border
					if (opt.hb_showborder == 'n') {
						$('#' + hb_id_iframe).css('border-width', '0');
					}

					// alignment
					if (opt.hb_alignment != 'c') {
						$('#' + hb_id_container).css('margin', '0');
					}

					// margin bottom
					if (opt.hb_mbottom != '' && opt.hb_mbottom != '0') {
						$('#' + hb_id_wrapper).css('margin-bottom', opt.hb_mbottom + 'px');
					}

					// show or not button
					if (opt.hb_closebutton == 'n') {
						$('#' + hb_id_close).css('display', 'none');
					}

					// delay show footerbanner
					if (opt.hb_fadefx == 'y') {
						setTimeout("$(headbanner_elem).slideDown('opt.hb_speedfx')",100);
					} else {
						setTimeout("$(headbanner_elem).css('display','')",100);
					}

					// close adv tool and set the cookie
					setTimeout('headbanner_close()',hb_closetime);
					$.cookie(hb_cookiename, 'false', { path: '/', expires: cookie_expires, domain: hb_cookiedomain });
				}
			}
		}

		/****************************************/
		/*	function to close all elements		*/
		/*	set variable for global scope		*/
		/****************************************/
		headbanner_close = function() {

			if (opt.hb_fadefx == 'y') {
				$('#' + hb_id_wrapper).slideUp('opt.hb_speedfx');
			} else {
				$('#' + hb_id_wrapper).css('display','none');
			}

			visibility_element(hb_hide_elem,'visible');
			display_element(hb_none_elem,'');
		}

		/************************************************/
		/*		hide/show form elements in the page		*/
		/************************************************/
		function visibility_element(s_array,s_status) {

			$(s_array).each(function(i) {

				if ($('#' + s_array[i]).length > 0) {

					$('#' + s_array[i]).css('visibility', s_status);
				}
			});
		}

		function display_element(s_array,s_status) {

			$(s_array).each(function(i) {

				if ($('#' + s_array[i]).length > 0) {

					$('#' + s_array[i]).css('display', s_status);
				}
			});
		}

		/****************************************/
		/*		convert time based on type		*/
		/****************************************/
		function convert_time(the_time) {

			time_type = the_time.split(" ");

			switch (time_type[1]) {
				case 'sec':
					time_converted = time_type[0] * 1000;
				break;
				case 'min':
					time_converted = time_type[0] * 60 * 1000;
				break;
				case 'hou':
					time_converted = time_type[0] * 60 * 60 * 1000;
				break;
				case 'day':
					time_converted = time_type[0] * 60 * 60 * 24 * 1000;
				break;
				default:
					time_converted = time_type[0] * 1000;
				break;
			}

			return time_converted;
		}

	} // that's all

})(jQuery);
//-->